Handle OAuth callback

Base URL
https://{kibana_url}
  • GET /api/actions/connector/_oauth_callback
  • GET /s/{space_id}/api/actions/connector/_oauth_callback
Auth

Handles the OAuth 2.0 authorization code callback from external providers. Exchanges the authorization code for access and refresh tokens.

Required authorization

Privileges actions:oauth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

code string

The authorization code returned by the OAuth provider.

state string

The state parameter for CSRF protection.

error string

Error code if the authorization failed.

error_description string

Human-readable error description.

session_state string

Session state from the OAuth provider (e.g., Microsoft).

Responses

200

Returns an HTML callback page.

302

Redirects to the return URL with authorization result query parameters.

401

User is not authenticated.

Base URL
https://{kibana_url}